#!/usr/bin/env bash

source $(dirname $0)/env.sh

cd $LUNA_ROOT

SOURCES=($(find kernel/src -type f | grep "\.c") $(find kernel/include -type f))
SOURCES+=($(find libs/libc/src -type f | grep "\.c") $(find libs/libc/include -type f))
SOURCES+=($(find apps/src -type f))

ALL_OK=1

for f in ${SOURCES[@]}
do
    clang-format -n $f 2>&1 | grep ".*" >/dev/null
    if [ "$?" = "0" ]
    then
        echo "File $f needs formatting"
        ALL_OK=0
    fi
done

if [ $ALL_OK = "1" ]
then
    echo "All files OK"
    exit 0
fi

exit 1